An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Hello All,
I am aware that this topic has been raised before. But suggested solutions didn’t work for me, so creating this topic again.
I am running HMP data (single end) on my system (qiime2-2018.11). I have attached the .txt file generated by that error. Interestingly, when I run other .qza file, there is no error in DADA2. Only this file is having issues.

May I know how to check the .qza file for errors? Or is there something wrong with my environment?

Error:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_single.R /tmp/qiime2-archive-1h3s3jhu/091b7d14-af62-4157-beae-f7a1df03c286/data /tmp/tmpxl9wfjqv/output.tsv.biom /tmp/tmpxl9wfjqv/track.tsv /tmp/tmpxl9wfjqv 350 20 2.0 2 Inf consensus 1.0 1 1000000 NULL 16

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering Error in add(bin) : internal: buf !=
    Execution halted
    Traceback (most recent call last):
    File “/home/shivani/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 152, in _denoise_single
    run_commands([cmd])
    File “/home/shivani/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/shivani/miniconda3/envs/qiime2-2018.11/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_single.R’, ‘/tmp/qiime2-archive-1h3s3jhu/091b7d14-af62-4157-beae-f7a1df03c286/data’, ‘/tmp/tmpxl9wfjqv/output.tsv.biom’, ‘/tmp/tmpxl9wfjqv/track.tsv’, ‘/tmp/tmpxl9wfjqv’, ‘350’, ‘20’, ‘2.0’, ‘2’, ‘Inf’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’, ‘NULL’, ‘16’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/shivani/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_single
File “/home/shivani/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/shivani/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 362, in callable_executor
output_views = self._callable(**view_args)
File “/home/shivani/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 187, in denoise_single
band_size=‘16’)
File “/home/shivani/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 163, in _denoise_single
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Command:
qiime dada2 denoise-single \

–i-demultiplexed-seqs HMP.qza
–p-trim-left 20
–p-trunc-len 350
–o-representative-sequences HMP-rep-seqs-dada2.qza
–o-table HMP-table-dada2.qza
–o-denoising-stats HMP-stats-dada2.qza

qiime2-q2cli-err-74nuq1_8.txt (2.5 KB)

Sorry for the trouble :frowning: Appreciate all your thoughtful inputs :slight_smile:

Can you please run the following and report back your findings:

qiime tools validate HMP.qza

Hi @thermokarst,
I validated the .qza files and had some issues with few sequences. Upon removing those, DADA2 worked fine. Thanks :smiley:

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.